# Get update

URL: /en/docs/api/v1/updates/id/get
Last Updated: 2026-07-30T21:15:30.392Z

## Description
No description available.

## Available Actions
- Execute GET request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### GET /api/v1/updates/{id}

**Get update**

Retrieve an update, its audience, delivery results, follow-up links, and editor options.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Path parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | Yes | Update ID |

**Responses:**

- `200` - Update detail
  - `update` (Update (object))
    - `id` (string)
    - `title` (string)
    - `slug` (any): URL-safe identifier used by Trust Center update modal links.
    - `summary` (any)
    - `description_md` (any): Markdown body shown in the Trust Center update modal or timeline.
    - `status` (enum: draft | scheduled | published | archived)
    - `classification` (object)
      - `id` (string)
      - `title` (string)
      - `color` (any)
      - `translations` (array of ClassificationTranslation (object))
        - `languages_code` (string)
        - `title` (string)
      - `custom_fields` (array of ClassificationCustomField (object))
        - `title` (string)
        - `translations` (array of ClassificationTranslation (object))
          - `languages_code` (string)
          - `title` (string)
        - `options` (array of object)
          - `value` (string)
          - `label` (array of object)
            - `languages_code` (string)
            - `translation` (string)
    - `access_level` (AccessLevel (enum: public | restricted | requires_nda | internal))
    - `send_mode` (enum: none | immediate | scheduled)
    - `channels` (array of UpdateChannel (enum: trust_center | email.subscribers | email.custom))
    - `scheduled_at` (any)
    - `scheduled_timezone` (any)
    - `published_at` (any)
    - `effective_at` (any)
    - `effective_timezone` (any)
    - `order` (enum: asc | desc)
    - `parent` (object)
      - `id` (string)
      - `title` (string)
    - `template` (object)
      - `id` (string)
      - `title` (string)
      - `summary` (any)
      - `description_md` (any)
      - `badge` (any)
      - `tenant` (any)
      - `category` (object)
        - `id` (string)
        - `title` (string)
    - `documents` (array of UpdateDocumentRelation (object))
      - `id` (string)
      - `documents_id` (object)
        - `id` (string)
        - `title` (string)
    - `subprocessors` (array of UpdateSubprocessorRelation (object))
      - `id` (string)
      - `subprocessors_id` (object)
        - `id` (string)
        - `title` (string)
  - `audience` (UpdateAudience (object))
    - `accounts` (array of object)
    - `contacts` (array of object)
    - `documents` (array of object)
    - `subprocessors` (array of object)
  - `deliveryNotifications` (array of UpdateDeliveryNotification (object))
    - `id` (string)
    - `email` (string (email))
    - `recipientType` (enum: subscriber | contact | unknown)
    - `result` (string)
    - `error` (any)
    - `dateCreated` (string (date-time))
  - `canAddFollowUp` (boolean): True when a root update is published, or when a child update can resolve a published root update.
  - `followUps` (array of UpdateFollowUpLink (object)): Child updates for this root update. Empty for child update detail responses.
    - `id` (string)
    - `title` (string)
  - `followUpRootId` (string): Root update ID for the current update thread.
  - `hasFollowUps` (boolean): True when this update is a follow-up or has child follow-ups.
  - `options` (UpdateOptions (object))
    - `tenant_timezone` (any)
    - `subscription_enabled` (boolean)
    - `defaultEffectiveAt` (string)
    - `followUpDefaults` (object)
      - `parent` (string)
      - `classification` (any)
      - `access_level` (AccessLevel (enum: public | restricted | requires_nda | internal))
      - `channels` (array of UpdateChannel (enum: trust_center | email.subscribers | email.custom))
      - `effective_at` (any)
      - `effective_timezone` (any)
      - `document_ids` (array of string)
      - `subprocessor_ids` (array of string)
      - `account_ids` (array of string)
      - `contact_ids` (array of string)
    - `categories` (array of IdTitle (object))
      - `id` (string)
      - `title` (string)
    - `classifications` (array of Classification (object))
      - `id` (string)
      - `title` (string)
      - `color` (any)
      - `translations` (array of ClassificationTranslation (object))
        - `languages_code` (string)
        - `title` (string)
      - `custom_fields` (array of ClassificationCustomField (object))
        - `title` (string)
        - `translations` (array of ClassificationTranslation (object))
          - `languages_code` (string)
          - `title` (string)
        - `options` (array of object)
          - `value` (string)
          - `label` (array of object)
            - `languages_code` (string)
            - `translation` (string)
    - `classificationTemplates` (array of Classification (object))
      - `id` (string)
      - `title` (string)
      - `color` (any)
      - `translations` (array of ClassificationTranslation (object))
        - `languages_code` (string)
        - `title` (string)
      - `custom_fields` (array of ClassificationCustomField (object))
        - `title` (string)
        - `translations` (array of ClassificationTranslation (object))
          - `languages_code` (string)
          - `title` (string)
        - `options` (array of object)
          - `value` (string)
          - `label` (array of object)
            - `languages_code` (string)
            - `translation` (string)
    - `documents` (array of IdTitle (object))
      - `id` (string)
      - `title` (string)
    - `certifications` (array of IdTitle (object))
      - `id` (string)
      - `title` (string)
    - `subprocessors` (array of IdTitle (object))
      - `id` (string)
      - `title` (string)
    - `contacts` (array of ContactOption (object))
      - `id` (string)
      - `first_name` (any)
      - `last_name` (any)
      - `email` (string (email))
      - `account` (object)
        - `id` (string)
        - `title` (string)
      - `hasNda` (boolean)
      - `review_status` (any)
    - `accounts` (array of IdTitle (object))
      - `id` (string)
      - `title` (string)
    - `templates` (array of UpdateTemplate (object))
      - `id` (string)
      - `title` (string)
      - `summary` (any)
      - `description_md` (any)
      - `badge` (any)
      - `tenant` (any)
      - `category` (object)
        - `id` (string)
        - `title` (string)
    - `parents` (array of UpdateFollowUpLink (object))
      - `id` (string)
      - `title` (string)
- `404` - Update not found
- `500` - Failed to load update

